## MIME Innbyggerdialog

Pythonskript for å journalføre innspill fra innbyggere/tredjeparter i MIME.

| **Filnavn** | **Bruk** |
|-------------|----------|
|   journalforHenvedelser.py          |   Hovedskript for journalføring       |
|   template_opprett.xml          |   Template for hvordan kalles skal sendes til MIME WS for å journalføre henvendelse. Oppdater denne hvis endpointet til MIME WS oppdaterer seg med nye felter eller om man skal endre på flere verdier       |
|   template_endrestatus.xml          |   Template for hvordan kalles skal sendes til MIME WS for å sette et innspill som "journalført". Oppdater denne hvis endpointet til MIME WS oppdaterer seg med nye felter eller om man skal endre på flere verdier       |
|   template_leggtilfil.xml          |   Template for hvordan kalles skal sendes til MIME WS for å legge til vedlegg til et innspill. Oppdater denne hvis endpointet til MIME WS oppdaterer seg med nye felter eller om man skal endre på flere verdier       |
|   template_hentsak.xml          |   Template for hvordan kalles skal sendes til MIME WS for ¨å hente en registert sak. Oppdater denne hvis endpointet til MIME WS oppdaterer seg med nye felter eller om man skal endre på flere verdier       |
|   mime-hendvendelser.db          |   Database (SQLite) som brukes for å holde orden på hvilke innspill som er journalført. I GIT så er denne tom for rader, men på FME Server vil denne populeres ved kjøring.      |
|   Sjekk nye innspill.fmw          |   Workbench som brukes for å kjøre rutinen. Denne laster ned dette repositoriet og kjører journaforHenvendelser.py       |
|   fpdf         |   Pythonmodul som brukes for å lage PDF-filer av henvendelsene       |
|   default.json          |   Standardverdier som sendes inn til MIME, inneholder bl.a. navn på fagsystem etc       |
|   debug.json          |   Standardverdier som sendes inn til MIME som kan brukes for å lage en fullstendig henvendelse       |


Oppskrift for å kjøre denne rutinen for nye saker/innbyggerdialoger:
-	Opprett sak i MIME slik at du får et saksnummer
-	Ha klar en applikasjon med en karttjeneste hvor du tar imot innspill. Feature Layeret må være "Public" og URLen til kartlaget skal brukes som input til Workbenchen.
-	Last ned Workbench som ligger her og publiserer denne til FME Server
-	Fyll inn riktige User Parameters i FME Server og lag en "schedule" som kjører denne jobben med ønsket intervall
-	Sett opp epostvarsling i FME-Server slik at du får mail om jobben skulle feil

